Skip to main content
GET
RedPacket - GetRedpackets

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Query Parameters

cursor
string

Pagination cursor

limit
integer<int64>

Number of results per page

direction
enum<string>
default:next

Pagination direction

Available options:
next,
prev
creator
string

Creator wallet address

chain
enum<string>

Blockchain network for the red packet Supported blockchain chains

Available options:
sol,
eth,
bsc

Response

200 - application/json

Successful response

Paginated red packets response

hasNextPage
boolean
required

Whether there is a next page

records
object[]
required

List of red packets

total
integer<int64>
required

Total number of red packets

endCursor
string | null

Cursor for the end of current page

startCursor
string | null

Cursor for the start of current page